<?php

namespace App\Http\Repositories;

use App\Models\Region;

class RegionRepository
{
    function getRegions()
    {
        return Region::with('cities')->get();
    }

    function getFirstRegion()
    {
        return Region::with('cities')->firstOrFail();
    }

    function getRegionById($id)
    {
        return Region::with('cities')->findOrFail($id);
    }
}
